%define module_name Linux-Sys-CPU-Affinity
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test/Deep.pm) perl(Test/LeakTrace.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.13
Release: alt2
Summary: Perl XS extension for setupping CPU affinity
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CD/CDN/%{module_name}-%{version}.tar.gz

%description
This module allows you to pin any process by its PID to some CPU's group.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README README.md
%perl_vendor_archlib/L*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.13-alt2
- rebuild with perl 5.38

* Sun Dec 05 2021 Igor Vlasenko <viy@altlinux.org> 0.13-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.11-alt2
- rebuild with perl 5.34.0

* Tue Mar 30 2021 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- initial import by package builder

